##
##  expect.spec -- OpenPKG RPM Specification
##  Copyright (c) 2000-2003 Cable & Wireless Deutschland GmbH
##  Copyright (c) 2000-2003 The OpenPKG Project <http://www.openpkg.org/>
##  Copyright (c) 2000-2003 Ralf S. Engelschall <rse@engelschall.com>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   ATTENTION: Expect is brain-dead: it requires private Tcl information
#   (tclInt.h) which only can be found in the Tcl sources on the one
#   hand and it requires the Tcl installation files under run-time on
#   the other hand (which can be provided by the Tcl package). This
#   means we have to do something very strange: include the Tcl source
#   and use it for building and requiring the Tcl package for use under
#   run-time. Hence we require _exactly_ a particular Tcl version. Keep
#   this in sync!

#   package versions
%define       V_expect  5.38
%define       V_tcl     8.4.1

#   package information
Name:         expect
Summary:      Send/Expect Scripting Language
URL:          http://expect.nist.gov/
Vendor:       NIST
Packager:     The OpenPKG Project
Distribution: OpenPKG [BASE]
Group:        Language
License:      GPL
Version:      %{V_expect}
Release:      20021023

#   list of sources
Source0:      http://expect.nist.gov/expect.tar.gz
Source1:      ftp://ftp.scriptics.com/pub/tcl/tcl8_4/tcl%{V_tcl}-src.tar.gz

#   build information
Prefix:       %{l_prefix}
BuildRoot:    %{l_buildroot}
BuildPreReq:  OpenPKG, openpkg >= 20020206, tcl = %{V_tcl}
PreReq:       OpenPKG, openpkg >= 20020206, tcl = %{V_tcl}
AutoReq:      no
AutoReqProv:  no

%description
    Expect is a tool for automating interactive applications such as
    telnet, ftp, passwd, fsck, rlogin, tip, etc. Expect really makes
    this stuff trivial. Expect is also useful for testing these same
    applications.

%prep
    %setup0 -q -c -n expect-%{version}
    %setup1 -q -T -D -a 1

%build
    ( cd tcl%{V_tcl}/unix
      CC="%{l_cc}" \
      CFLAGS="%{l_cflags -O}" \
      ./configure \
          --prefix=%{l_prefix} \
          --disable-threads \
          --disable-load \
          --disable-shared
      %{l_make} %{l_mflags -O}
    )
    ( cd expect-%{V_expect}
      CC="%{l_cc}" \
      CFLAGS="%{l_cflags -O}" \
      ./configure \
          --prefix=%{l_prefix} \
          --with-tcl=../tcl%{V_tcl}/unix \
          --without-x \
          --disable-load \
          --disable-shared
      %{l_make} %{l_mflags -O} expect
    )

%install
    rm -rf $RPM_BUILD_ROOT
    ( cd expect-%{V_expect}
      %{l_shtool} mkdir -f -p -m 755 \
          $RPM_BUILD_ROOT%{l_prefix}/bin \
          $RPM_BUILD_ROOT%{l_prefix}/man/man1
      %{l_shtool} install -c -s -m 755 \
          expect $RPM_BUILD_ROOT%{l_prefix}/bin/
      %{l_shtool} install -c -m 644 \
          expect.man $RPM_BUILD_ROOT%{l_prefix}/man/man1/
    )
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean
    rm -rf $RPM_BUILD_ROOT

